summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2019-03-01 17:25:00 -0600
committerTim Harder <radhermit@gentoo.org>2019-03-04 02:28:08 -0600
commit0a6145b0c52efe6a2ff9a3553ba32190936e683b (patch)
treee7500a4574eec76f5c207f21c899ec8ba95b987a /net-proxy
parentdev-ruby/slim: add ruby26 (diff)
downloadgentoo-0a6145b0c52efe6a2ff9a3553ba32190936e683b.tar.gz
gentoo-0a6145b0c52efe6a2ff9a3553ba32190936e683b.tar.bz2
gentoo-0a6145b0c52efe6a2ff9a3553ba32190936e683b.zip
net-proxy/sshuttle: version bump to 0.78.5
Signed-off-by: Tim Harder <radhermit@gentoo.org>
Diffstat (limited to 'net-proxy')
-rw-r--r--net-proxy/sshuttle/Manifest1
-rw-r--r--net-proxy/sshuttle/sshuttle-0.78.5.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/net-proxy/sshuttle/Manifest b/net-proxy/sshuttle/Manifest
index 26c70d2d2da..5b90e1b534a 100644
--- a/net-proxy/sshuttle/Manifest
+++ b/net-proxy/sshuttle/Manifest
@@ -1 +1,2 @@
DIST sshuttle-0.78.4.tar.gz 72465 BLAKE2B 655df610757e245b66db61955306908c8d1e41db7d093dc44d55260a34b30d4605973815c64d59a860974e9a268e3fcefbba41a104da5ad73f6a8a292bc64b80 SHA512 6e3e49a638ad56fbb00b197d33426f9ccb9afe3d71f8109eb886bc9047083100c910fef7cb42f0426246e585138ce996872179d23fca98afd9e9ccca376da1e6
+DIST sshuttle-0.78.5.tar.gz 74663 BLAKE2B 47e295219c1ada7bee4f0340cc169620c5b91abd1f72b933289ef2dea0c5ba088673f2d1348d444f662e9f6c2638ee6dfd3e8df1fa8344bc7c48adf1a3a96d3f SHA512 562acbf0e825ad41458c5b6065592a45b8bac92cd64b20619027fe4d0bec60a22c5191c7a7ed6b216d8cf5c9e027f58a6cdca69dd3a11ec6f6d348ef2f13bb38
diff --git a/net-proxy/sshuttle/sshuttle-0.78.5.ebuild b/net-proxy/sshuttle/sshuttle-0.78.5.ebuild
new file mode 100644
index 00000000000..ef640caf780
--- /dev/null
+++ b/net-proxy/sshuttle/sshuttle-0.78.5.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
+
+inherit linux-info distutils-r1
+
+DESCRIPTION="Transparent proxy server that works as a poor man's VPN using ssh"
+HOMEPAGE="https://github.com/sshuttle/sshuttle https://pypi.org/project/sshuttle/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ || ( net-firewall/iptables net-firewall/nftables )
+"
+DEPEND="
+ dev-python/sphinx
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+CONFIG_CHECK="~NETFILTER_XT_TARGET_HL ~IP_NF_TARGET_REDIRECT ~IP_NF_MATCH_TTL ~NF_NAT"
+
+python_prepare_all() {
+ # don't run tests via setup.py pytest
+ sed -i "/setup_requires=/s/'pytest-runner'//" setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ emake -j1 -C docs html man
+}
+
+python_test() {
+ py.test -v || die "Tests fail under ${EPYTHON}"
+}
+
+python_install_all() {
+ HTML_DOCS=( docs/_build/html/. )
+ doman docs/_build/man/*
+ distutils-r1_python_install_all
+}